Get Backup Status History

Get Backup Status History
Get backup status history

Returns the backup status history. Results are always returned in chronologically reverse order, i.e., the latest backup status first. To get the latest backup status, set the page size to 1 without other query parameter. If there's no latest backup, then the call returns an empty list.

Request
URI
GET
https://{api_host}/ssp/backup/status
COPY
Query Parameters
status
Optional

Backup status.

status example
SUCCESS
history_type
Optional

History type. If not specified, default to DB

history_type example
SERVER
trigger_type
Optional

Backup trigger type.

trigger_type example
MANUAL
string
backup_id
Optional

Use this request param to filter results by backup_id.

backup_id example
abcde
integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset


Authentication
This operation uses the following authentication methods.
Responses
200

Successful response

Returns BackupStatusList of type(s) application/json
This response body class contains all of the following: ListResult , InlineBackupStatusList1
{
    "offset": 0,
    "number_of_results": 0,
    "total_result_count": 0,
    "total_pages": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "result": [
        {
            "_create_user": "string",
            "_create_time": 0,
            "_last_modified_user": "string",
            "_last_modified_time": 0,
            "_revision": 0,
            "_resource_type": "string",
            "_system_owned": false,
            "id": "string",
            "display_name": "string",
            "description": "string",
            "site_ids": [
                "string"
            ],
            "backup_start_time": 0,
            "backup_end_time": 0,
            "progress": 0,
            "progress_message": "string",
            "backup_type": "string",
            "backup_trigger_type": "string",
            "status": "string",
            "file_size": 0,
            "version": "string",
            "error_messages": [
                "string"
            ],
            "no_of_entities": 0,
            "entities_status": [
                {
                    "id": "string",
                    "name": "string",
                    "type": "string",
                    "status": "string",
                    "error_messages": [
                        "string"
                    ]
                }
            ]
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

Unexpected error occurred

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/backup/status